Get Workflow Run Status
curl --request GET \
--url https://api.shieldbase.ai/external/workflows/runs/{run_id} \
--header 'X-API-Key: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Secret: <api-key>'import requests
url = "https://api.shieldbase.ai/external/workflows/runs/{run_id}"
headers = {
"X-Client-ID": "<api-key>",
"X-API-Key": "<api-key>",
"X-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-ID': '<api-key>', 'X-API-Key': '<api-key>', 'X-Secret': '<api-key>'}
};
fetch('https://api.shieldbase.ai/external/workflows/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shieldbase.ai/external/workflows/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>",
"X-Client-ID: <api-key>",
"X-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shieldbase.ai/external/workflows/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("X-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shieldbase.ai/external/workflows/runs/{run_id}")
.header("X-Client-ID", "<api-key>")
.header("X-API-Key", "<api-key>")
.header("X-Secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shieldbase.ai/external/workflows/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-API-Key"] = '<api-key>'
request["X-Secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"run": {},
"queue": {}
}
}Workflow Execution
Get Workflow Run Status
Get workflow execution detail and the latest queue status. Runs are visible only to the API key owner that queued them.
GET
/
external
/
workflows
/
runs
/
{run_id}
Get Workflow Run Status
curl --request GET \
--url https://api.shieldbase.ai/external/workflows/runs/{run_id} \
--header 'X-API-Key: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Secret: <api-key>'import requests
url = "https://api.shieldbase.ai/external/workflows/runs/{run_id}"
headers = {
"X-Client-ID": "<api-key>",
"X-API-Key": "<api-key>",
"X-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-ID': '<api-key>', 'X-API-Key': '<api-key>', 'X-Secret': '<api-key>'}
};
fetch('https://api.shieldbase.ai/external/workflows/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shieldbase.ai/external/workflows/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>",
"X-Client-ID: <api-key>",
"X-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shieldbase.ai/external/workflows/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("X-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shieldbase.ai/external/workflows/runs/{run_id}")
.header("X-Client-ID", "<api-key>")
.header("X-API-Key", "<api-key>")
.header("X-Secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shieldbase.ai/external/workflows/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-API-Key"] = '<api-key>'
request["X-Secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"run": {},
"queue": {}
}
}Authorizations
Headers
Optional tenant selector for multitenant accounts. The API key owner must have access to the selected tenant.
Path Parameters
Run ID returned by POST /external/workflows/{group_id}/runs
Response
Current workflow run and latest queue item
Show child attributes
Show child attributes